package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.TeacherInfo;

/**
 * 老师档案信息Service接口
 * 
 * @author ruoyi
 * @date 2023-07-24
 */
public interface ITeacherInfoService 
{
    /**
     * 查询老师档案信息
     * 
     * @param id 老师档案信息主键
     * @return 老师档案信息
     */
    public TeacherInfo selectTeacherInfoById(Long id);

    /**
     * 查询老师档案信息列表
     * 
     * @param teacherInfo 老师档案信息
     * @return 老师档案信息集合
     */
    public List<TeacherInfo> selectTeacherInfoList(TeacherInfo teacherInfo);

    /**
     * 新增老师档案信息
     * 
     * @param teacherInfo 老师档案信息
     * @return 结果
     */
    public AjaxResult insertTeacherInfo(TeacherInfo teacherInfo);

    /**
     * 修改老师档案信息
     * 
     * @param teacherInfo 老师档案信息
     * @return 结果
     */
    public int updateTeacherInfo(TeacherInfo teacherInfo);

    /**
     * 批量删除老师档案信息
     * 
     * @param ids 需要删除的老师档案信息主键集合
     * @return 结果
     */
    public int deleteTeacherInfoByIds(Long[] ids);

    /**
     * 删除老师档案信息信息
     * 
     * @param id 老师档案信息主键
     * @return 结果
     */
    public int deleteTeacherInfoById(Long id);
}
